# Method: shippingsettings.custombatch

- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/custombatch#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/custombatch#body.request_body)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/custombatch#body.response_body)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/custombatch#body.ShippingsettingsCustomBatchResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/custombatch#body.aspect)
- [ShippingsettingsCustomBatchRequest](https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/custombatch#ShippingsettingsCustomBatchRequest)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/custombatch#ShippingsettingsCustomBatchRequest.SCHEMA_REPRESENTATION)
- [ShippingsettingsCustomBatchRequestEntry](https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/custombatch#ShippingsettingsCustomBatchRequestEntry)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/custombatch#ShippingsettingsCustomBatchRequestEntry.SCHEMA_REPRESENTATION)
- [ShippingsettingsCustomBatchResponseEntry](https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/custombatch#ShippingsettingsCustomBatchResponseEntry)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/custombatch#ShippingsettingsCustomBatchResponseEntry.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/custombatch#try-it)

Retrieves and updates the shipping settings of multiple accounts in a single request.

### HTTP request

`POST https://shoppingcontent.googleapis.com/content/v2.1/shippingsettings/batch`

### Request body

The request body contains an instance of `https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/custombatch#ShippingsettingsCustomBatchRequest`.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "entries": [ { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/custombatch#ShippingsettingsCustomBatchResponseEntry`) } ], "kind": string } ``` |

| Fields ||
|---|---|
| `entries[]` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/custombatch#ShippingsettingsCustomBatchResponseEntry`)`` The result of the execution of the batch requests. |
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string "`content#shippingsettingsCustomBatchResponse`". |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## ShippingsettingsCustomBatchRequest

| JSON representation |
|---|
| ``` { "entries": [ { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/custombatch#ShippingsettingsCustomBatchRequestEntry`) } ] } ``` |

| Fields ||
|---|---|
| `entries[]` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/custombatch#ShippingsettingsCustomBatchRequestEntry`)`` The request entries to be processed in the batch. |

## ShippingsettingsCustomBatchRequestEntry

A batch entry encoding a single non-batch shippingsettings request.

| JSON representation |
|---|
| ``` { "batchId": integer, "merchantId": string, "method": string, "accountId": string, "shippingSettings": { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings#ShippingSettings`) } } ``` |

| Fields ||
|---|---|
| `batchId` | `integer (https://developers.google.com/discovery/v1/type-format format)` An entry ID, unique within the batch request. |
| `merchantId` | `string` The ID of the managing account. |
| `method` | `string` The method of the batch entry. Acceptable values are: - "`get`" - "`update`" <br /> |
| `accountId` | `string` The ID of the account for which to get/update account shipping settings. |
| `shippingSettings` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings#ShippingSettings`)`` The account shipping settings to update. Only defined if the method is `update`. |

## ShippingsettingsCustomBatchResponseEntry

A batch entry encoding a single non-batch shipping settings response.

| JSON representation |
|---|
| ``` { "batchId": integer, "shippingSettings": { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings#ShippingSettings`) }, "kind": string, "errors": { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/Errors`) } } ``` |

| Fields ||
|---|---|
| `batchId` | `integer (https://developers.google.com/discovery/v1/type-format format)` The ID of the request entry to which this entry responds. |
| `shippingSettings` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings#ShippingSettings`)`` The retrieved or updated account shipping settings. |
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string "`content#shippingsettingsCustomBatchResponseEntry`" |
| `errors` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/Errors`)`` A list of errors for failed custombatch entries. > [!NOTE] > **Note:** Schema errors fail the whole request. <br /> |